NestedPropertySupport (Apache Struts API Documentation)
Keywords: org.apache.struts.taglib.nested.NestedPropertySupport,NestedPropertySupport interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.taglib.nested
Interface NestedPropertySupport

All Superinterfaces:
  NestedTagSupport

All Known Subinterfaces:
  NestedNameSupport, NestedParentSupport

All Known Implementing Classes:
  NestedCheckboxTag, NestedDefineTag, NestedEmptyTag, NestedEqualTag, NestedErrorsTag, NestedFileTag, NestedFormTag, NestedGreaterEqualTag, NestedGreaterThanTag, NestedHiddenTag, NestedImageTag, NestedImgTag, NestedIterateTag, NestedLessEqualTag, NestedLessThanTag, NestedLinkTag, NestedMatchTag, NestedMessagesNotPresentTag, NestedMessagesPresentTag, NestedMessagesTag, NestedMessageTag, NestedMultiboxTag, NestedNotEmptyTag, NestedNotEqualTag, NestedNotMatchTag, NestedNotPresentTag, NestedOptionsCollectionTag, NestedOptionsTag, NestedPasswordTag, NestedPresentTag, NestedPropertyTag, NestedRadioTag, NestedRootTag, NestedSelectTag, NestedSizeTag, NestedSubmitTag, NestedTextareaTag, NestedTextTag, NestedWriteTag

public interface NestedPropertySupport
extends NestedTagSupport

This interface is for managing classes of the nested extension, so they can know to set the tag's property property.

Since:
  Struts 1.1
Version:
  $Revision: 1.1 $ $Date: 2003-08-26 13:57:44 +0100 (Tue, 26 Aug 2003) $
Author:
  Arron Bates

Method Summary
`java.lang.String` | `getProperty()` The getters and setters required to set a tags property property.
`void` | `setProperty(java.lang.String newProperty)` The setter for the poroperty property

Method Detail

### getProperty

    public java.lang.String getProperty()

  The getters and setters required to set a tags property property.

  Returns:
    String value of the tags' property property

### setProperty

    public void setProperty(java.lang.String newProperty)

  The setter for the poroperty property

  Parameters:
    `newProperty` - new String value to set the property property to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 - Apache Software Foundation